Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "06af925b-abb5-438b-8e8b-a554622bac86",
  "date_start": "2026-11-12T15:57:44.6039512+00:00",
  "date_end": "2026-11-12T15:57:44.6039512+00:00",
  "modified_dateutc": "2026-11-12T15:57:44.6039512+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "79cd31bf-e926-4a55-9d31-d3a9700b0fc2",
  "user_code": "sample string 8",
  "user": {
    "id": "78973267-8cf5-463e-815e-ea7e54bdd18b",
    "db_language_id": "65361c83-22c6-4afd-a19d-0189cf5df3d5",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-12T15:57:44.6039512+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "f9c04b4d-f9a5-46c4-bed8-122a56bbe129",
    "sales_organization": {
      "id": "f6ad4470-0df1-498a-bbee-20fe5e9317ce",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "411bb7ef-20a0-43be-8d61-a4fa8af9d477",
      "db_currency_id": "9da236f0-b82e-46ac-a60c-5b33d29d113e",
      "db_language_id": "66148670-d92b-4fd0-922e-7a9f9854c6c4",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T15:57:44.6039512+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "2c134931-3e4a-490a-beb0-ddc3df6a1b01",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "5781ed80-4c61-49e2-b370-b330aca23a92",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-12T15:57:44.6039512+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "506607dd-e560-489c-83db-f9785ec46499"
  },
  "user_unavailability_type_id": "6e1ebdaa-d5b7-490f-9325-a0d76a70b680",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "2f4db0a0-1b78-4f0b-8623-f3e195d84cad",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "5868b4de-5bcd-4ef4-9c4e-34291820b568",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "f6ad4470-0df1-498a-bbee-20fe5e9317ce",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "411bb7ef-20a0-43be-8d61-a4fa8af9d477",
      "db_currency_id": "9da236f0-b82e-46ac-a60c-5b33d29d113e",
      "db_language_id": "66148670-d92b-4fd0-922e-7a9f9854c6c4",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T15:57:44.6039512+00:00"
    },
    "modified_dateutc": "2026-11-12T15:57:44.6208493+00:00"
  }
}